//+------------------------------------------------------------------+
//|                                            2PAIRSCorrelation.mq4 |
//|                                   Copyright  2010, BONA MASSIMO |
//|                                              mbforex74@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, BONA MASSIMO"
#property link      "mbforex74@gmail.com"

extern int        operA = 0;
extern int        operB = 0;

// OP_BUY = 0  OP_SELL = 1 

extern int        MagicNumber = 07072010;
extern int        Slippage = 2;
extern string     SymbolA = "EURUSD";
extern string     SymbolB = "USDCHF";
extern double     LotSymbolA = 1.0;  // Lotti utilizzati per il Pairs A
extern double     LotSymbolB = 1.0;  // Lotti utilizzati per il Pairs B
extern double     Profit = 50;
        
// Profit da esprimere nella valuta adottata quindi si suppone euro


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  { 
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
 
double ProfitA,ProfitB;
 
int TicketA = OrderSend(SymbolA, operA, LotSymbolA, Ask, 2, 0, 0, 0, DodgerBlue);
            
int TicketB = OrderSend(SymbolB, operB, LotSymbolB, Ask, 2, 0, 0, 0, DodgerBlue);
 
if( OrderSelect(TicketA, SELECT_BY_TICKET , MODE_TRADES)) ProfitA=OrderProfit() ; 

if ( OrderSelect(TicketB, SELECT_BY_TICKET , MODE_TRADES)) ProfitB=OrderProfit();
 
if (( ProfitA+ProfitB)>=Profit){

 OrderClose(TicketA,LotSymbolA,Slippage,Red);  

 OrderClose(TicketB,LotSymbolB,Slippage,Red);  

  }


//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+